class_name SettingsCheckBox
extends CheckBox


@export var section: StringName = &""
@export var key: StringName = &""


func _ready() -> void:
	button_pressed = SettingsManager.get_setting(section, key)


func _toggled(toggled_on: bool) -> void:
	SettingsManager.set_setting(section, key, toggled_on)
